%define  major           26
%define  libname         %mklibname %{name} %{major}
%define  libname_virt	 lib%{name}
%define  develname       %mklibname %{name} -d

Name:    cpl
Version: 7.0
Release: %mkrel 2
Summary: ESO library for automated astronomical data-reduction tasks

Group:   Sciences/Astronomy
License: GPLv2+
URL:     http://www.eso.org/sci/software/cpl/
Source:  ftp://ftp.eso.org/pub/dfs/pipelines/libraries/cpl/%{name}-%{version}.tar.gz
# Informed upstream 2008-12-18
Patch0:  cpl-7.0-alldyn.patch

BuildRequires: cfitsio-devel
BuildRequires: wcslib-devel
BuildRequires: fftw-devel

%description
The Common Pipeline Library (CPL) comprises a set of ISO-C libraries 
that provide a comprehensive, efficient and robust software toolkit. 
It forms a basis for the creation of automated astronomical data-reduction 
tasks (known as "pipelines") for ESO (European Southern Observatory) 
instruments. The CPL was developed to standardize the way 
VLT (Very Large Telescope) instrument pipelines are built, 
to shorten their development cycle and to ease their maintenance. 

%package -n %{libname}
Summary: ESO library for automated astronomical data-reduction tasks
Group: Sciences/Astronomy
Provides: %{name} = %{version}-%{release}
License: GPLv2+
URL: http://www.eso.org/sci/software/cpl/

%description -n %{libname}
The Common Pipeline Library (CPL) comprises a set of ISO-C libraries 
that provide a comprehensive, efficient and robust software toolkit. 
It forms a basis for the creation of automated astronomical data-reduction 
tasks (known as "pipelines") for ESO (European Southern Observatory) 
instruments. The CPL was developed to standardize the way 
VLT (Very Large Telescope) instrument pipelines are built, 
to shorten their development cycle and to ease their maintenance. 

%package -n %{develname}
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Sciences/Astronomy
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name}
application

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static
# http://fedoraproject.org/wiki/PackagingGuidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make

%install
%make_install

%files -n %{libname}
%doc AUTHORS BUGS COPYING NEWS
%{_libdir}/libcpl*.so.%{major}{,.*}
%{_libdir}/libcext*.so.*

%files -n %{develname}
%doc README
%{_libdir}/*.so
%{_includedir}/*
%exclude %{_libdir}/*.la



%changelog
* Tue Nov 22 2016 eatdirt <eatdirt> 7.0-2.mga6
+ Revision: 1068807
- Rebuild for new cfitsio

* Wed Mar 09 2016 eatdirt <eatdirt> 7.0-1.mga6
+ Revision: 988663
- Upgrade to version 7.0

* Sun Jan 17 2016 daviddavid <daviddavid> 6.4.2-5.mga6
+ Revision: 924906
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 6.4.2-4.mga5
+ Revision: 749028
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 6.4.2-3.mga5
+ Revision: 693691
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 6.4.2-2.mga5
+ Revision: 678566
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 eatdirt <eatdirt> 6.4.2-1.mga5
+ Revision: 642640
- Upgrade to version 6.4.2

* Thu Feb 27 2014 eatdirt <eatdirt> 6.3.1-3.mga5
+ Revision: 597703
- Rebuild for new cfitsio

* Sat Oct 19 2013 umeabot <umeabot> 6.3.1-2.mga4
+ Revision: 531468
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 joequant <joequant> 6.3.1-1.mga4
+ Revision: 463529
- update to 6.3.1

* Mon Apr 01 2013 joequant <joequant> 6.2-1.mga4
+ Revision: 406966
- imported package cpl

